// -*- C++ -*-
/*!
 * @file RTCOutPort.i
 * @brief swig interface file for RTCOutPort
 * @date $Date$
 *
 * Copyright (c) 2004 Noriaki Ando <n-ando@aist.go.jp>
 *          Task-intelligence Research Group,
 *          Intelligent System Research Institute,
 *          National Institute of Industrial Science (AIST), Japan
 *          All rights reserved.
 *
 * $Id$
 */

%module RTCOutPort


%{
#include "rtm/idl/RTCInPortSkel.h"
#include "rtm/idl/RTCOutPortSkel.h"
%}


namespace RTM
{
  class OutPort
  {
  public:
    CORBA::Any* get();
	//	RTM::RtmRes subscribe(RTM::InPort_ptr in_port, RTM::SubscriptionID_out id,
	//						  const RTM::SubscriberProfile& profile );
    RTM::RtmRes unsubscribe(const char* id);
    RTM::InPortList* inports();
    RTM::PortProfile* profile();
    
  protected:
    OutPort();
    virtual ~OutPort();
  };
};
